Package org.eclipse.emf.compare.provider

# Class AdapterFactoryUtil

java.lang.Object
org.eclipse.emf.compare.provider.AdapterFactoryUtil

@Deprecated public final class AdapterFactoryUtil extends Object
Deprecated.
Use `AdapterFactoryItemDelegator` instead.
Some utility methods to work with `AdapterFactory`.

## Method Summary

Modifier and Type
Method
Description
`static Object`
`getImage(AdapterFactory adapterFactory, Object object)`
Deprecated.
Returns the image of the given `object` by adapting it to `IItemLabelProvider` and asking for its `image`.
`static Object`
`getStyledText(AdapterFactory adapterFactory, Object object)`
Deprecated.
Returns the StyledText for the given object and the given adapter factory.
`static String`
`getText(AdapterFactory adapterFactory, Object object)`
Deprecated.
Returns the text of the given `object` by adapting it to `IItemLabelProvider` and asking for its `text`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getText

public static String getText(AdapterFactory adapterFactory, Object object)
Deprecated.
Returns the text of the given `object` by adapting it to `IItemLabelProvider` and asking for its `text`. Returns null if `object` is null.

Parameters:
  `adapterFactory` - the adapter factory to adapt from
  `object` - the object from which we want a text
Returns:
  the text, or null if object is null.
Throws:
  `NullPointerException` - if `adapterFactory` is null.

### getImage

public static Object getImage(AdapterFactory adapterFactory, Object object)
Deprecated.
Returns the image of the given `object` by adapting it to `IItemLabelProvider` and asking for its `image`. Returns null if `object` is null.

Parameters:
  `adapterFactory` - the adapter factory to adapt from
  `object` - the object from which we want a image
Returns:
  the image, or null if object is null.
Throws:
  `NullPointerException` - if `adapterFactory` is null.

### getStyledText

public static Object getStyledText(AdapterFactory adapterFactory, Object object)
Deprecated.
Returns the StyledText for the given object and the given adapter factory.

Parameters:
  `adapterFactory` - the given adapter factory.
  `object` - the given object.
Returns:
  the StyledText as an Object.
Since:
  4.0